local sprite = Sprite.new()
sprite:setY(100)
stage:addChild( sprite )
 
 
texturePack = TexturePack.new("spritesheet.txt", "spritesheet.png", true )
local size = Bitmap.new(texturePack:getTextureRegion("square.png")):getWidth()
local mcs = {}
local startTime = os.timer() --in the beginning of the file
 
local test = "bitmap"
 
if test == "bitmap" then
 
 	-- iPad Mini Retina: 57 fps
	-- iPod touch 5th generation: 25fps
	-- iPad 2: 17 fps	
	-- Nexus 6: 16 fps


		
	for i=1, 1000 do
 
		local bitmap = Bitmap.new(texturePack:getTextureRegion("square.png"))
		local r = math.random(20)/20
		local g = math.random(20)/20
		local b = math.random(20)/20
		bitmap:setColorTransform( r, g, b, math.random(10)/10)
 
		-- Move mesh
		local target_x = math.random(100)
		local target_y = math.random(100)
		local mc = MovieClip.new{
			{1, 100, bitmap, {x = {0, target_x, "inOutSine"}, y = {0, target_y, "inOutSine"}}},	
			{101, 200, bitmap, {x = {target_x, 0, "inOutSine"}, y = {target_y, 0, "inOutSine"}}},	
		}
		mc:setGotoAction(200,1)
		table.insert ( mcs, mc ) -- To avoid being garbage collected		
 
		sprite:addChild( bitmap )
 
	end
 
	 --and this in every loop end
	local endPlacingTime =  os.timer()- startTime
	print("objects placed in",  endPlacingTime)
 
elseif test == "mesh" then
 
 	-- iPad Mini Retina: 58 fps
	-- iPad 2: 33 fps	
	-- iPod touch 5th generation: 28 fps
	-- Nexus 6: 19 fps


	
	for i=1, 1000 do
 
		-- Create mesh
		local mesh = Mesh.new()
		mesh:setVertexArray(0, 0,   size, 0,   size, size,   0, size)
		mesh:setIndexArray(1, 2, 3,     1, 3, 4)
		local r = math.random(20)/20
		local g = math.random(20)/20
		local b = math.random(20)/20
		mesh:setColorTransform( r, g, b, math.random(10)/10)
 
		-- Move mesh
		local target_x = math.random(100)
		local target_y = math.random(100)
		local mc = MovieClip.new{
			{1, 100, mesh, {x = {0, target_x, "inOutSine"}, y = {0, target_y, "inOutSine"}}},	
			{101, 200, mesh, {x = {target_x, 0, "inOutSine"}, y = {target_y, 0, "inOutSine"}}},	
		}
		mc:setGotoAction(200,1)
		table.insert ( mcs, mc ) -- To avoid being garbage collected	
 
 
		sprite:addChild( mesh )
 
	end
 
	 --and this in every loop end
	local endPlacingTime =  os.timer()- startTime
	print("objects placed in",  endPlacingTime)
 
elseif test == "shape" then
 

	-- iPad Mini Retina: 58 fps
 	-- iPad 2: 34 fps	
	-- iPod touch 5th generation: 29 fps
	-- Nexus 6: 18 fps

	for i=1, 1000 do
 
		-- Create shape
		local shape = Shape.new()
		shape:setFillStyle(Shape.SOLID, 0xffffff, 1)
		shape:beginPath()
		shape:moveTo(0,0)
		shape:lineTo(size, 0)
		shape:lineTo(size, size)
		shape:lineTo(0, size)
		shape:lineTo(0, 0)
		shape:endPath()
		local r = math.random(20)/20
		local g = math.random(20)/20
		local b = math.random(20)/20
		shape:setColorTransform( r, g, b, math.random(10)/10)
 
		-- Move shape
		local target_x = math.random(100)
		local target_y = math.random(100)
		local mc = MovieClip.new{
			{1, 100, shape, {x = {0, target_x, "inOutSine"}, y = {0, target_y, "inOutSine"}}},	
			{101, 200, shape, {x = {target_x, 0, "inOutSine"}, y = {target_y, 0, "inOutSine"}}},	
		}
		mc:setGotoAction(200,1)
		table.insert ( mcs, mc ) -- To avoid being garbage collected
 
		sprite:addChild( shape )
 
	end
	
	--and this in every loop end
	local endPlacingTime =  os.timer()- startTime
	print("objects placed in",  endPlacingTime)

end
 
-- Mem and fps
local sceneDebug = SceneDebug.new()
sceneDebug:addEventListener( Event.ENTER_FRAME, sceneDebug.update, sceneDebug )
stage:addChild( sceneDebug )